import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import {  } from 'd3';
import { useData } from './useData';
import { Marks } from './Marks'


const width = 960;
const height = 500;
const margin = {top: 20, right: 30, bottom: 65, left: 90};
const xAxisLabelOffset = 50;
const yAxisLabelOffset = 40;

const App = () => {
  const data = useData();
  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      	<Marks data={data}/>
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

// To compute the arcs manually (without d3.pie):
// data.map((d, i) => (
//   <path
//     fill={d['RGB hex value']}
//     d={pieArc({
//       startAngle: (i / data.length) * 2 * Math.PI,
//       endAngle: ((i + 1) / data.length) * 2 * Math.PI
//     })}
//   />
// ))
